Bug 1392260 - gnome-settings-daemon shows false low free disk space alerts for GPFS mounts
gnome-settings-daemon shows false low free disk space alerts for GPFS mounts
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-settings-daemon (Show other bugs)
7.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Matthias Clasen
Desktop QE
:
Depends On:
Blocks: 1298243 1420851 1479818
  Show dependency treegraph
 
Reported: 2016-11-06 21:36 EST by amit yadav
Modified: 2018-05-17 10:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: gnome-settings-daemon-3.26.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-10 08:55:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0770 None None None 2018-04-10 08:57 EDT

  None (edit)
Description amit yadav 2016-11-06 21:36:30 EST
Description of problem:
gnome-settings-daemon shows false low free space alerts for GPFS mounts with very large disk space. The alert shows up intermittently since it requires a GPFS filesystem to become fairly full. 

Version-Release number of selected component (if applicable):
gnome-settings-daemon-3.14.4-9.el7.x86_64

How reproducible:
Frequently

Additional info:
Previously customer has reported this issue on RHEL6. A bug (https://bugzilla.redhat.com/show_bug.cgi?id=1253770) was filed and closed due to inactivity from customer's end.
Comment 2 Bastien Nocera 2016-11-07 07:42:18 EST
Same as:
https://bugzilla.gnome.org/show_bug.cgi?id=708786
for BTRFS
Comment 3 Ondrej Holy 2016-11-08 02:44:25 EST
I wonder why do you think this is GVfs issue. AFAIK settings-daemon uses GUnixMountMonitor, which is implemented in GLib/GIO, and free space is based on statvfs output. So, GVfs is not involved at all. Similar for the upstream issue, see:
https://bugzilla.gnome.org/show_bug.cgi?id=708786#c23
Comment 4 Ondrej Holy 2017-02-24 05:03:30 EST
I do think that g-s-d should check free space per device path and not per mount path. Similarly for g-c-c. This should fix the multiple warnings issue and wrong total size info at least for some filesystem types (i.e. BTRFS). I have no idea, how GPFS works and what is wrong with it, because the bug report is pretty brief, but we can probably ignore such obscure filesystem types in g-s-d / g-c-c if the previous suggestion doesn't help...
Comment 5 Ondrej Holy 2017-02-24 08:59:23 EST
See proposed patches in the upstream bug...
Comment 12 errata-xmlrpc 2018-04-10 08:55:16 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0770

Note You need to log in before you can comment on or make changes to this bug.